"use strict";

var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));
var _regenerator = _interopRequireDefault(require("@babel/runtime/regenerator"));
var _react = _interopRequireDefault(require("react"));
var _core = require("../../../../playwright/core");
var _Visibility_condition = require("./Visibility_condition.help");
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
(0, _core.test)('VisibilityCondition', /*#__PURE__*/function () {
  var _ref2 = (0, _asyncToGenerator2.default)(/*#__PURE__*/_regenerator.default.mark(function _callee(_ref) {
    var page, mount, expectScreenshot;
    return _regenerator.default.wrap(function _callee$(_context) {
      while (1) switch (_context.prev = _context.next) {
        case 0:
          page = _ref.page, mount = _ref.mount, expectScreenshot = _ref.expectScreenshot;
          _context.next = 3;
          return mount(/*#__PURE__*/(0, _jsxRuntime.jsx)(_Visibility_condition.VisibilityCondition.Primary, {}));
        case 3:
          _context.next = 5;
          return expectScreenshot();
        case 5:
          _context.next = 7;
          return page.getByText('I want to provide my contacts').click();
        case 7:
          _context.next = 9;
          return page.getByRole('tablist').getByText('Contacts').click();
        case 9:
          _context.next = 11;
          return expectScreenshot();
        case 11:
          _context.next = 13;
          return page.getByText('I want to provide my phone').click();
        case 13:
          _context.next = 15;
          return expectScreenshot();
        case 15:
        case "end":
          return _context.stop();
      }
    }, _callee);
  }));
  return function (_x) {
    return _ref2.apply(this, arguments);
  };
}());
// #sourceMappingURL=Visibility_condition.visual.test.js.map
// #sourceMappingURL=Visibility_condition.visual.test.js.map