"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TumblerControl = TumblerControl;
var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread2"));
var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));
var _react = _interopRequireWildcard(require("react"));
var _cn = require("../../helpers/cn");
var _uikit = require("@gravity-ui/uikit");
var _jsxRuntime = require("react/jsx-runtime");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
var _excluded = ["value", "onChange"],
  _excluded2 = ["labelLeft", "labelRight", "size", "className"];
var block = (0, _cn.dfCN)('tumbler-control');
function TumblerControl(_ref) {
  var value = _ref.value,
    onChange = _ref.onChange,
    extras = (0, _objectWithoutProperties2.default)(_ref, _excluded);
  var onTumblerChange = (0, _react.useCallback)(function () {
    return onChange(!value);
  }, [onChange, value]);
  var labelLeft = extras.labelLeft,
    labelRight = extras.labelRight,
    _extras$size = extras.size,
    size = _extras$size === void 0 ? 'm' : _extras$size,
    className = extras.className,
    rest = (0, _objectWithoutProperties2.default)(extras, _excluded2);
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)("span", {
    className: block({
      size: size
    }),
    children: [labelLeft, /*#__PURE__*/(0, _jsxRuntime.jsx)(_uikit.Switch, (0, _objectSpread2.default)((0, _objectSpread2.default)({}, rest), {}, {
      size: size,
      className: block('switch', {
        'label-left': Boolean(labelLeft),
        'label-right': Boolean(labelRight)
      }, className),
      onChange: onTumblerChange,
      checked: value
    })), labelRight]
  });
}
TumblerControl.getDefaultValue = function () {
  return false;
};
TumblerControl.isEmpty = function (value) {
  return typeof value !== 'boolean' || !value;
};
// #sourceMappingURL=TumblerControl.js.map
// #sourceMappingURL=TumblerControl.js.map