import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
import _toConsumableArray from "@babel/runtime/helpers/toConsumableArray";
import _objectSpread from "@babel/runtime/helpers/objectSpread2";
import _classCallCheck from "@babel/runtime/helpers/classCallCheck";
import _createClass from "@babel/runtime/helpers/createClass";
import _possibleConstructorReturn from "@babel/runtime/helpers/possibleConstructorReturn";
import _isNativeReflectConstruct from "@babel/runtime/helpers/isNativeReflectConstruct";
import _getPrototypeOf from "@babel/runtime/helpers/getPrototypeOf";
import _inherits from "@babel/runtime/helpers/inherits";
var _excluded = ["title", "data"];
function _callSuper(t, o, e) { return o = _getPrototypeOf(o), _possibleConstructorReturn(t, _isNativeReflectConstruct() ? Reflect.construct(o, e || [], _getPrototypeOf(t).constructor) : o.apply(t, e)); }
import React from 'react';
import { dfCN } from '../../helpers/cn';
import { EditableList } from '../EditableList';
import './EditableManyLists.css';
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
var block = dfCN('editable-many-lists');
export var EditableManyLists = /*#__PURE__*/function (_React$Component) {
  function EditableManyLists() {
    var _this;
    _classCallCheck(this, EditableManyLists);
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    _this = _callSuper(this, EditableManyLists, [].concat(args));
    _this.onChange = function (index, data) {
      var _this$props = _this.props,
        value = _this$props.value,
        onChange = _this$props.onChange;
      var newRowData = _objectSpread(_objectSpread({}, value[index]), {}, {
        data: data
      });
      var newValue = _toConsumableArray(value);
      newValue.splice(index, 1, newRowData);
      onChange(newValue);
    };
    return _this;
  }
  _inherits(EditableManyLists, _React$Component);
  return _createClass(EditableManyLists, [{
    key: "render",
    value: function render() {
      var _this2 = this;
      var _this$props2 = this.props,
        className = _this$props2.className,
        value = _this$props2.value,
        itemRenderer = _this$props2.itemRenderer,
        titleClassName = _this$props2.titleClassName,
        maxVisibleCount = _this$props2.maxVisibleCount;
      return /*#__PURE__*/_jsx("div", {
        className: block(null, className),
        children: value.map(function (_ref, index) {
          var title = _ref.title,
            data = _ref.data,
            rest = _objectWithoutProperties(_ref, _excluded);
          return /*#__PURE__*/_jsxs(React.Fragment, {
            children: [/*#__PURE__*/_jsx("span", {
              className: block('title', titleClassName),
              children: title
            }, index), /*#__PURE__*/_jsx(EditableList, _objectSpread(_objectSpread({
              itemRenderer: itemRenderer,
              maxVisibleCount: maxVisibleCount
            }, rest), {}, {
              value: data,
              onChange: _this2.onChange.bind(_this2, index)
            }))]
          }, index);
        })
      });
    }
  }], [{
    key: "getDefaultValue",
    value: function getDefaultValue() {
      return [];
    }
  }, {
    key: "isEmpty",
    value: function isEmpty() {
      return false;
    }
  }]);
}(React.Component);
// #sourceMappingURL=EditableManyLists.js.map