"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.PlainText = void 0;
var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));
var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));
var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));
var _isNativeReflectConstruct2 = _interopRequireDefault(require("@babel/runtime/helpers/isNativeReflectConstruct"));
var _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));
var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));
var _react = _interopRequireDefault(require("react"));
var _cn = require("../../helpers/cn");
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _callSuper(t, o, e) {
  return o = (0, _getPrototypeOf2.default)(o), (0, _possibleConstructorReturn2.default)(t, (0, _isNativeReflectConstruct2.default)() ? Reflect.construct(o, e || [], (0, _getPrototypeOf2.default)(t).constructor) : o.apply(t, e));
}
var block = (0, _cn.dfCN)('plain-text');
var PlainText = exports.PlainText = /*#__PURE__*/function (_React$Component) {
  function PlainText() {
    (0, _classCallCheck2.default)(this, PlainText);
    return _callSuper(this, PlainText, arguments);
  }
  (0, _inherits2.default)(PlainText, _React$Component);
  return (0, _createClass2.default)(PlainText, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
        value = _this$props.value,
        placeholder = _this$props.placeholder,
        className = _this$props.className;
      return /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
        className: block(null, className),
        children: value || /*#__PURE__*/(0, _jsxRuntime.jsx)("span", {
          className: block('placeholder'),
          children: placeholder
        })
      });
    }
  }], [{
    key: "getDefaultValue",
    value: function getDefaultValue() {
      return '';
    }
  }, {
    key: "isEmpty",
    value: function isEmpty(value) {
      return !value;
    }
  }]);
}(_react.default.Component);
// #sourceMappingURL=PlainText.js.map
// #sourceMappingURL=PlainText.js.map