import React from 'react';
declare const _default: import("@storybook/csf").ComponentAnnotations<import("@storybook/react/dist/types-a5624094").R, Omit<import("@gravity-ui/uikit").DOMProps & import("@gravity-ui/uikit").QAProps & {
    autoComplete?: string | boolean | undefined;
    autoFocus?: boolean | undefined;
    controlRef?: React.Ref<HTMLTextAreaElement> | undefined;
    defaultValue?: string | undefined;
    disabled?: boolean | undefined;
    error?: string | boolean | undefined;
    errorMessage?: React.ReactNode;
    errorPlacement?: "outside" | "inside" | undefined;
    validationState?: "invalid" | undefined;
    hasClear?: boolean | undefined;
    id?: string | undefined;
    name?: string | undefined;
    onBlur?: React.FocusEventHandler<HTMLTextAreaElement> | undefined;
    onChange?: React.ChangeEventHandler<HTMLTextAreaElement> | undefined;
    onFocus?: React.FocusEventHandler<HTMLTextAreaElement> | undefined;
    onKeyDown?: React.KeyboardEventHandler<HTMLTextAreaElement> | undefined;
    onKeyPress?: React.KeyboardEventHandler<HTMLTextAreaElement> | undefined;
    onKeyUp?: React.KeyboardEventHandler<HTMLTextAreaElement> | undefined;
    onUpdate?: ((value: string) => void) | undefined;
    pin?: import("@gravity-ui/uikit").InputControlPin | undefined;
    placeholder?: string | undefined;
    readOnly?: boolean | undefined;
    size?: import("@gravity-ui/uikit").InputControlSize | undefined;
    tabIndex?: number | undefined;
    value?: string | undefined;
    view?: import("@gravity-ui/uikit").InputControlView | undefined;
} & {
    controlProps?: React.TextareaHTMLAttributes<HTMLTextAreaElement> | undefined;
    rows?: number | undefined;
    minRows?: number | undefined;
    maxRows?: number | undefined;
    note?: React.ReactNode;
} & React.RefAttributes<HTMLSpanElement>, "value" | "onUpdate" | "onChange" | "ref" | "error"> & {
    value: string;
    onChange: (value: string) => void;
    error?: string | undefined;
}>;
export default _default;
export declare const Primary: import("@storybook/csf").AnnotatedStoryFn<import("@storybook/react/dist/types-a5624094").R, Omit<import("@gravity-ui/uikit").DOMProps & import("@gravity-ui/uikit").QAProps & {
    autoComplete?: string | boolean | undefined;
    autoFocus?: boolean | undefined;
    controlRef?: React.Ref<HTMLTextAreaElement> | undefined;
    defaultValue?: string | undefined;
    disabled?: boolean | undefined;
    error?: string | boolean | undefined;
    errorMessage?: React.ReactNode;
    errorPlacement?: "outside" | "inside" | undefined;
    validationState?: "invalid" | undefined;
    hasClear?: boolean | undefined;
    id?: string | undefined;
    name?: string | undefined;
    onBlur?: React.FocusEventHandler<HTMLTextAreaElement> | undefined;
    onChange?: React.ChangeEventHandler<HTMLTextAreaElement> | undefined;
    onFocus?: React.FocusEventHandler<HTMLTextAreaElement> | undefined;
    onKeyDown?: React.KeyboardEventHandler<HTMLTextAreaElement> | undefined;
    onKeyPress?: React.KeyboardEventHandler<HTMLTextAreaElement> | undefined;
    onKeyUp?: React.KeyboardEventHandler<HTMLTextAreaElement> | undefined;
    onUpdate?: ((value: string) => void) | undefined;
    pin?: import("@gravity-ui/uikit").InputControlPin | undefined;
    placeholder?: string | undefined;
    readOnly?: boolean | undefined;
    size?: import("@gravity-ui/uikit").InputControlSize | undefined;
    tabIndex?: number | undefined;
    value?: string | undefined;
    view?: import("@gravity-ui/uikit").InputControlView | undefined;
} & {
    controlProps?: React.TextareaHTMLAttributes<HTMLTextAreaElement> | undefined;
    rows?: number | undefined;
    minRows?: number | undefined;
    maxRows?: number | undefined;
    note?: React.ReactNode;
} & React.RefAttributes<HTMLSpanElement>, "value" | "onUpdate" | "onChange" | "ref" | "error"> & {
    value: string;
    onChange: (value: string) => void;
    error?: string | undefined;
}>;
export declare const WithError: import("@storybook/csf").AnnotatedStoryFn<import("@storybook/react/dist/types-a5624094").R, Omit<import("@gravity-ui/uikit").DOMProps & import("@gravity-ui/uikit").QAProps & {
    autoComplete?: string | boolean | undefined;
    autoFocus?: boolean | undefined;
    controlRef?: React.Ref<HTMLTextAreaElement> | undefined;
    defaultValue?: string | undefined;
    disabled?: boolean | undefined;
    error?: string | boolean | undefined;
    errorMessage?: React.ReactNode;
    errorPlacement?: "outside" | "inside" | undefined;
    validationState?: "invalid" | undefined;
    hasClear?: boolean | undefined;
    id?: string | undefined;
    name?: string | undefined;
    onBlur?: React.FocusEventHandler<HTMLTextAreaElement> | undefined;
    onChange?: React.ChangeEventHandler<HTMLTextAreaElement> | undefined;
    onFocus?: React.FocusEventHandler<HTMLTextAreaElement> | undefined;
    onKeyDown?: React.KeyboardEventHandler<HTMLTextAreaElement> | undefined;
    onKeyPress?: React.KeyboardEventHandler<HTMLTextAreaElement> | undefined;
    onKeyUp?: React.KeyboardEventHandler<HTMLTextAreaElement> | undefined;
    onUpdate?: ((value: string) => void) | undefined;
    pin?: import("@gravity-ui/uikit").InputControlPin | undefined;
    placeholder?: string | undefined;
    readOnly?: boolean | undefined;
    size?: import("@gravity-ui/uikit").InputControlSize | undefined;
    tabIndex?: number | undefined;
    value?: string | undefined;
    view?: import("@gravity-ui/uikit").InputControlView | undefined;
} & {
    controlProps?: React.TextareaHTMLAttributes<HTMLTextAreaElement> | undefined;
    rows?: number | undefined;
    minRows?: number | undefined;
    maxRows?: number | undefined;
    note?: React.ReactNode;
} & React.RefAttributes<HTMLSpanElement>, "value" | "onUpdate" | "onChange" | "ref" | "error"> & {
    value: string;
    onChange: (value: string) => void;
    error?: string | undefined;
}>;
