import _objectSpread from "@babel/runtime/helpers/objectSpread2";
import _classCallCheck from "@babel/runtime/helpers/classCallCheck";
import _createClass from "@babel/runtime/helpers/createClass";
import _possibleConstructorReturn from "@babel/runtime/helpers/possibleConstructorReturn";
import _isNativeReflectConstruct from "@babel/runtime/helpers/isNativeReflectConstruct";
import _getPrototypeOf from "@babel/runtime/helpers/getPrototypeOf";
import _inherits from "@babel/runtime/helpers/inherits";
function _callSuper(t, o, e) { return o = _getPrototypeOf(o), _possibleConstructorReturn(t, _isNativeReflectConstruct() ? Reflect.construct(o, e || [], _getPrototypeOf(t).constructor) : o.apply(t, e)); }
import React from 'react';
import { Text } from '@gravity-ui/uikit';
import { EditableList } from '../index';
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
function genEditableListData() {
  return ['Red', 'white', 'black', 'green', 'Orange', 'magenta', 'cyan', 'Lime', 'purple', 'red white black green orange magenta cyan lime purple 1', 'red white black green orange magenta cyan lime purple 2'].map(function (i, index) {
    return {
      title: i,
      frozen: index % 3 === 0
    };
  });
}
var EditableListDemoItem = /*#__PURE__*/function (_React$Component) {
  function EditableListDemoItem() {
    var _this;
    _classCallCheck(this, EditableListDemoItem);
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    _this = _callSuper(this, EditableListDemoItem, [].concat(args));
    _this.state = {
      data: _this.props.value
    };
    _this.onChange = function (data) {
      _this.setState({
        data: data
      });
    };
    return _this;
  }
  _inherits(EditableListDemoItem, _React$Component);
  return _createClass(EditableListDemoItem, [{
    key: "render",
    value: function render() {
      return /*#__PURE__*/_jsxs(React.Fragment, {
        children: [/*#__PURE__*/_jsx("div", {
          style: {
            maxWidth: 300
          },
          children: /*#__PURE__*/_jsx(EditableList, _objectSpread(_objectSpread({}, this.props), {}, {
            value: this.state.data,
            onChange: this.onChange
          }))
        }), /*#__PURE__*/_jsxs(Text, {
          className: 'value-as-json',
          style: {
            whiteSpace: 'pre-wrap'
          },
          children: ['\n\n[\n', this.state.data.reduce(function (acc, item) {
            return acc + JSON.stringify(item) + ',\n';
          }, '')]
        })]
      });
    }
  }]);
}(React.Component);
export default {
  title: 'Components/EditableList',
  component: EditableListDemoItem,
  argTypes: {}
};
export var Frozen = {
  render: function render(args) {
    return /*#__PURE__*/_jsx(EditableListDemoItem, _objectSpread({}, args));
  },
  args: {
    frozen: true,
    value: genEditableListData()
  }
};
export var WithMaxVisibleCount = _objectSpread(_objectSpread({}, Frozen), {}, {
  args: {
    maxVisibleCount: 3,
    value: genEditableListData()
  }
});
export var WithItemRenderer = _objectSpread(_objectSpread({}, Frozen), {}, {
  args: {
    value: genEditableListData(),
    itemRenderer: function itemRenderer(item) {
      var title = item.title,
        removed = item.removed;
      return /*#__PURE__*/_jsx("span", {
        style: {
          textDecoration: removed ? 'line-through' : 'underline'
        },
        children: title
      });
    }
  }
});
// #sourceMappingURL=EditableList.stories.js.map