import _objectSpread from "@babel/runtime/helpers/objectSpread2";
import _classCallCheck from "@babel/runtime/helpers/classCallCheck";
import _createClass from "@babel/runtime/helpers/createClass";
import _possibleConstructorReturn from "@babel/runtime/helpers/possibleConstructorReturn";
import _isNativeReflectConstruct from "@babel/runtime/helpers/isNativeReflectConstruct";
import _getPrototypeOf from "@babel/runtime/helpers/getPrototypeOf";
import _inherits from "@babel/runtime/helpers/inherits";
function _callSuper(t, o, e) { return o = _getPrototypeOf(o), _possibleConstructorReturn(t, _isNativeReflectConstruct() ? Reflect.construct(o, e || [], _getPrototypeOf(t).constructor) : o.apply(t, e)); }
import React from 'react';
import { dfCN } from '../../../helpers/cn';
import { EditableManyLists } from '../index';
import './EditableManyListsDemo.css';
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
var b = dfCN('editable-lists-control-demo');
function genEditableListData() {
  return ['red', 'white', 'black', 'green', 'orange', 'magenta', 'cyan', 'lime', 'purple', 'red white black green orange magenta cyan lime purple 1', 'red white black green orange magenta cyan lime purple 2'].map(function (i, index) {
    return {
      title: i,
      frozen: index % 3 === 0
    };
  });
}
function genEditableManyListsData() {
  return [{
    title: 'To add',
    data: genEditableListData(),
    itemClassName: b('add')
  }, {
    title: 'Will be removed',
    data: genEditableListData(),
    itemClassName: b('remove')
  }];
}
var DemoItem = /*#__PURE__*/function (_React$Component) {
  function DemoItem() {
    var _this;
    _classCallCheck(this, DemoItem);
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    _this = _callSuper(this, DemoItem, [].concat(args));
    _this.state = {
      data: genEditableManyListsData()
    };
    _this.onChange = function (data) {
      _this.setState({
        data: data
      });
    };
    return _this;
  }
  _inherits(DemoItem, _React$Component);
  return _createClass(DemoItem, [{
    key: "render",
    value: function render() {
      return /*#__PURE__*/_jsxs(React.Fragment, {
        children: [/*#__PURE__*/_jsx(EditableManyLists, _objectSpread(_objectSpread({}, this.props), {}, {
          value: this.state.data,
          onChange: this.onChange
        })), /*#__PURE__*/_jsxs("div", {
          style: {
            padding: 40,
            whiteSpace: 'pre-wrap'
          },
          children: ['[', this.state.data.reduce(function (acc, item, index) {
            acc.push(/*#__PURE__*/_jsxs("div", {
              style: {
                paddingLeft: 20
              },
              children: [JSON.stringify(item), ","]
            }, index));
            return acc;
          }, []), "]"]
        })]
      });
    }
  }]);
}(React.Component);
export default {
  title: 'Components/EditableManyList',
  component: DemoItem
};
var Template = function Template(args) {
  return /*#__PURE__*/_jsx(DemoItem, _objectSpread({}, args));
};
export var Frozen = Template.bind({});
Frozen.args = {};
export var WithMaxVisibleCount = Template.bind({});
WithMaxVisibleCount.args = {};
export var WithItemRenderer = Template.bind({});
WithItemRenderer.args = {
  itemRenderer: function itemRenderer(item) {
    var title = item.title,
      removed = item.removed;
    return /*#__PURE__*/_jsx("span", {
      style: {
        textDecoration: removed ? 'line-through' : 'underline'
      },
      children: title
    });
  }
};
// #sourceMappingURL=EditableManyLists.stories.js.map