import React from 'react';
import './LabelsGroup.scss';
import { ArrayElement } from '../../types';
export declare type LabelGroupProps = {
    items: Array<{
        name: string;
        isDefault?: boolean;
    }>;
    visibleCount: number;
    disabled?: boolean;
    onClick?: (item: ItemType) => void;
    onRemove?: (item: ItemType) => void;
    onRemoveAll?: () => void;
    renderToggler?: () => React.ReactNode;
};
declare type ItemType = ArrayElement<LabelGroupProps['items']>;
export declare const LabelsGroup: React.ComponentType<LabelGroupProps>;
export {};
